import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl = 'https://gist.githubusercontent.com/JCarpenter-WPI/406b2d0cd7e57dade24825f2ccc3bf36/raw/NACRO%2520office%2520types%2520and%2520organizational%2520characteristics.csv';
        
export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = d => {
      d.Total = +d['Total'];
      return d;
    };
    csv(csvUrl, row).then(data => {
      setData(data);
    });
  }, []);
  
	return data;
};

